Subject: bug#27217: texlive is too big

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 10 Jan 2019 13:30:27 +0100

Hi Pierre,

> I think I know what's happening: some packages are missing files because they
> were not properly packaged.  With our current build system, this is almost
> impossible to fix.
>
> I've never been able to use the importer.  Anyways, as my previous email
> pointed out, I think it's quite useless as it is.

I wouldn’t say it’s useless.  Although I’m certainly prone to writing
useless code, this importer serves a need and allowed me to successfully
create the many texlive-* packages we have now.

I’ll admit, though, that it’s the one importer that I like the least :)

> I'm more and more convinced that rewriting the texlive-build-system centered
> around texlive.tlpdb would work and is the right approach.

Could you please outline what this would mean?

--
Ricardo